import 'dart:async';

import 'package:flutter/services.dart';

class Policy {
  static final int REALTIME = 0;
  static final int BATCH = 1;
  static final int SEND_INTERVAL = 6;
  static final int SMART_POLICY = 8;
}

class UMengAnalytics {
  static const MethodChannel _channel =
      const MethodChannel('flutter_umeng_analytics_gf');

  // page view
  static Future<Null> logPageView(String name, int seconds) {
    _channel.invokeMethod("logPageView", {"name": name, "seconds": seconds});
  }

  static Future<Null> beginPageView(String name) {
    _channel.invokeMethod("beginPageView", {"name": name});
  }

  static Future<Null> endPageView(String name) {
    _channel.invokeMethod("endPageView", {"name": name});
  }

  // event
  static Future<Null> logEvent(String name, {String label}) {
    _channel.invokeMethod("logEvent", {"name": name, "label": label});
  }

  static Future<Null> logEventWithAttributes(String name, Map<String, String> attributes) {
    _channel.invokeMethod("logEventWithAttributes", {"name": name, "attributes": attributes});
  }

  static Future<Null> logEventWithAttributesAndCounter(String name, Map<String, String> attributes, int number) {
    _channel.invokeMethod("logEventWithAttributesAndCounter", {"name": name, "attributes": attributes, "counter": number});
  }
}
